Debian Bug report logs - #653823
transition: boost-defaults 1.49

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: "Steve M. Robbins" <smr@debian.org>

Date: Sat, 31 Dec 2011 07:42:02 UTC

Severity: normal

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#653823; Package release.debian.org. (Sat, 31 Dec 2011 07:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Steve M. Robbins" <smr@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 31 Dec 2011 07:42:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Steve M. Robbins" <smr@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: transition: boost-defaults
Date: Sat, 31 Dec 2011 01:29:58 -0600
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: transition

Briefly, package boost-defaults provides "libboost-dev" and similar
unversioned -dev packages that depend on a "default" versioned package
such as libboost1.46-dev.

I would like to change Debian's default boost version from 1.46.1 to
1.48.  This change does not directly impact any binary packages.
However, it will affect the buildability of source packages.

There are 237 source packages in SID that build-depend on one of the
packages in boost-defaults.  I have done a test-build with all 237
packages in a chroot sid environment containing updated
boost-defaults.  There were 22 build failures related to the new
boost.  An additional 14 build failures were detected that are not
related to boost.  Sourceful uploads will be required to fix all these
build failures.

The results are summarized below, with the 22 boost-related failures
broken down into two groups: 14 where the fix is known and/or pending,
and 8 where the source fix is presently not known.  However, even the
latter group can be fixed immediately by changing the build-deps to
use libboost1.46-dev and similar versioned packages.

All the 36 FTBFS have bugs filed, as noted below, so there should not
be further impact for the QA automated archive rebuild folks.


Known fixes (14):
----------------

aptitude #653812 [pending] error: Boost install not found, too old, or incomplete; install libboost-dev.
anytun #652767 [io_service] error: 'boost::asio::ip::tcp::acceptor' has no member named 'io_service' 
avogadro #653625 [moc] Parse error at "BOOST_JOIN"
fgrun #652775 [singleton,caused by #652788] error: boost/pool/detail/singleton.hpp: No such file or directory
flightgear #652797 [singleton,caused by #652788] error: boost/pool/detail/singleton.hpp: No such file or directory
libreoffice #652784 [fixed in 1.3.5.0~beta2-1] acceleratorcache.cxx:64:29: error: no match for 'operator=' 
ovito #652795 [moc] has_binary_operator.hp:50: Parse error at "BOOST_JOIN"
pinot #652786 [singleton] Memory.h:184:11: error: 'singleton_default' in namespace 'boost::details::pool' does not name a type
pion-net #653787 [io_service] 'boost::asio::ssl::stream<boost::asio::basic_stream_socket<boost::asio::ip::tcp> >::lowest_layer_type' has no member named 'io_service'
qpid-cpp #653795 [singleton] fatal error: boost/pool/detail/singleton.hpp: No such file or directory
qt-gstreamer #653796 [moc] has_binary_operator.hp:50: Parse error at "BOOST_JOIN"
simgear #652788 [singleton] error: boost/pool/detail/singleton.hpp: No such file or directory
sslsniff #652756 [io_service] error: 'boost::asio::ip::tcp::acceptor' has no member named 'io_service'
yade #653817 [embed,pending] error: 'init' is not a member of 'traits {aka boost::math::detail::fp_traits_native<float>}'


Fix unknown (8):
-----------------

drizzle #653627 [TODO] constructor 'boost::detail::shared_count::shared_count(P, boost::detail::sp_inplace_tag<D>)'
eiskaltdcpp # [TODO] error: 'boost::interprocess::detail' has not been declared
monotone #653764 [TODO] lgamma_small.hpp:483:38: error: expected primary-expression before 'do'
openvrml #652790 [TODO] scope_guard.hpp:122:29: error: 'boost::mpl' has not been declared
python-visual #652798 [TODO] random_device.cpp:30:63: error: 'const result_type boost::random::random_device::min_value' is not a static member of 'class boost::random::random_device'
vtk #653805 [TODO] vtkBoostBreadthFirstSearchTree.cxx:98:5: error: 'class boost::detail::reverse_graph_edge_descriptor<vtkEdgeType>' has no member named 'Id'
wesnoth-1.8 #653806 [TODO]: error: 'boost::noncopyable_::noncopyable::noncopyable(const boost::noncopyable_::noncopyable&)' is private
witty #653807 [TODO] random_device.cpp:45:63: error: 'const result_type boost::random::random_device::min_value' is not a static member of 'class boost::random::random_device'


Failures not related to boost (14):
-----------------------------------

agave #652845 [pending,notboost] error: format not a string literal and no format arguments [-Werror=format-security]
ball #653626 [notboost] error: passing 'const BALL::PeriodicBoundary' as 'this' argument of 'BALL::Size BALL::PeriodicBoundary::addSolvent(const BALL::String&)' discards qualifiers [-fpermissive]
ember #629767 [notboost] FTBFS: build-dependency not installable: libceguiogre-dev
esperanza #653814 [notboost] FTBFS: undefined reference to 'XKeysymToKeycode' (and others)
getfem++ #653820 [notboost] FTBFS: install: cannot stat `macros/*.bin': No such file or directory
gnash #651625 [patch,notboost] error: new declaration 'char* NP_GetMIMEDescription()' ambiguates old declaration 'const char* NP_GetMIMEDescription()'
gnuradio #642716 [notboost] FTBFS: gr_vmcircbuf_createfilemapping: createfilemapping is not available
gpsdrive #646446 [notboost] mapnik.cpp:33:15: error: 'mapnik::Image32' has not been declared
salome [notboost] multiple FTBFS
scenic #653821 [notboost] configure: error: Could not link against Boost::Program_Options library !
sitplus #653799 [notboost]: CMake Error at cmake_modules/FindOpenCV.cmake:77 (file):  file STRINGS file "/usr/include/opencv/cvver.h" cannot be read.
smc #646464 [notboost]: video.h:26:62: fatal error: RendererModules/OpenGLGUIRenderer/openglrenderer.h: No such file or directory
spring #652768 [notboost,fix-uploaded] FPUSettings.h:322:16: error: expected unqualified-id before '__const'
strigi #653804 [notboost]: debian/libsearchclient0/DEBIAN/symbols doesn't match completely debian/libsearchclient0.symbols.amd64




-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 3.1.0-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#653823; Package release.debian.org. (Sat, 31 Dec 2011 07:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Steve M. Robbins" <steve@sumost.ca>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 31 Dec 2011 07:51:03 GMT) Full text and rfc822 format available.

Message #10 received at 653823@bugs.debian.org (full text, mbox):

From: "Steve M. Robbins" <steve@sumost.ca>
To: 653823@bugs.debian.org
Subject: More info on Known Fixes
Date: Sat, 31 Dec 2011 01:47:21 -0600
[Message part 1 (text/plain, inline)]
Some more info on items in the "Known Fixes" category follows.

Parse error at "BOOST_JOIN"
---------------------------
Tag [moc]

The parse error is from Qt's tools moc and lconvert.  These tools do
not handle the entire C++ language; see the Qt issue
https://bugreports.qt.nokia.com/browse/QTBUG-22829

The workaround is to abuse the Boost header guards by defining it
on the moc/lconvert command line, thus avoiding having to parse
the boost headers.  Pass -DBOOST_TT_HAS_OPERATOR_HPP_INCLUDED
to the moc invocation.  If using cmake:

  QT4_WRAP_CPP(sources ${moc-sources} OPTIONS -DBOOST_TT_HAS_OPERATOR_HPP_INCLUDED)


'boost::asio::ip::tcp::acceptor' has no member named 'io_service'
-----------------------------------------------------------------
Tag [io_service]

Boost 1.47 removed a deprecated function [1]:

  Removed the deprecated member functions named io_service(). The get_io_service() member functions should be used instead. 

The get_io_service() function is available in the current default
Boost (version 1.46.1) [2], so the change can be made now.

[1] http://www.boost.org/doc/libs/1_48_0/doc/html/boost_asio/history.html
[2] http://www.boost.org/doc/libs/1_46_1/doc/html/boost_asio/reference/ip__tcp/acceptor.html


Removal of boost::details::pool::singleton_default
--------------------------------------------------
Tag [singleton]

Prior to 1.48, Boost.Pool used a singleton base class.  It was an
implementation detail, now removed, but some external packages
depended upon it.  This is an upstream bug, since the class was never
intended as a public interface.

The breakage may manifest in a couple of ways:

* boost/pool/detail/singleton.hpp: No such file or directory
* 'singleton_default' in namespace 'boost::details::pool' does not name a type

The class in singleton.hpp is small enough that it could simply be
included directly into the using source code.


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#653823; Package release.debian.org. (Sat, 31 Dec 2011 11:15:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 31 Dec 2011 11:15:16 GMT) Full text and rfc822 format available.

Message #15 received at 653823@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: "Steve M. Robbins" <smr@debian.org>, 653823@bugs.debian.org
Subject: Re: Bug#653823: transition: boost-defaults
Date: Sat, 31 Dec 2011 12:13:46 +0100
On Sat, Dec 31, 2011 at 01:29:58 -0600, Steve M. Robbins wrote:

> There are 237 source packages in SID that build-depend on one of the
> packages in boost-defaults.  I have done a test-build with all 237
> packages in a chroot sid environment containing updated
> boost-defaults.  There were 22 build failures related to the new
> boost.  An additional 14 build failures were detected that are not
> related to boost.  Sourceful uploads will be required to fix all these
> build failures.
> 
Thanks a lot for this Steve.

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#653823; Package release.debian.org. (Fri, 06 Jan 2012 06:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Steve M. Robbins" <steve@sumost.ca>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 06 Jan 2012 06:03:06 GMT) Full text and rfc822 format available.

Message #20 received at 653823@bugs.debian.org (full text, mbox):

From: "Steve M. Robbins" <steve@sumost.ca>
To: Julien Cristau <jcristau@debian.org>
Cc: 653823@bugs.debian.org
Subject: Re: Bug#653823: transition: boost-defaults
Date: Thu, 5 Jan 2012 23:57:58 -0600
[Message part 1 (text/plain, inline)]
On Sat, Dec 31, 2011 at 12:13:46PM +0100, Julien Cristau wrote:
> On Sat, Dec 31, 2011 at 01:29:58 -0600, Steve M. Robbins wrote:
> 
> > There are 237 source packages in SID that build-depend on one of the
> > packages in boost-defaults.  I have done a test-build with all 237
> > packages in a chroot sid environment containing updated
> > boost-defaults.  There were 22 build failures related to the new
> > boost.  An additional 14 build failures were detected that are not
> > related to boost.  Sourceful uploads will be required to fix all these
> > build failures.
> > 
> Thanks a lot for this Steve.

OK, so what's the next step?  Do you need me to do anything further
before flipping the defaults?

Thanks,
-Steve

[signature.asc (application/pgp-signature, inline)]

Added indication that bug 653823 blocks 653228 Request was from "Steve M. Robbins" <steve@sumost.ca> to control@bugs.debian.org. (Sat, 07 Jan 2012 18:45:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#653823; Package release.debian.org. (Mon, 09 Jan 2012 05:33:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Steve M. Robbins" <steve@sumost.ca>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 09 Jan 2012 05:33:07 GMT) Full text and rfc822 format available.

Message #27 received at 653823@bugs.debian.org (full text, mbox):

From: "Steve M. Robbins" <steve@sumost.ca>
To: 653823@bugs.debian.org
Subject: status update
Date: Sun, 8 Jan 2012 23:28:46 -0600
[Message part 1 (text/plain, inline)]
Status as of 2012-01-08: 5 of the 22 boost-related bugs have fixes
uploaded.  Another (libreoffice) has been uploaded to experimental.



Fixed in Experimental (1):
--------------------------

libreoffice #652784 [fixed in 1.3.5.0~beta2-1] acceleratorcache.cxx:64:29: error: no match for 'operator=' 


Known Fix (13):
---------------

avogadro #653625 [moc] Parse error at "BOOST_JOIN"
fgrun #652775 [singleton,caused by #652788] error: boost/pool/detail/singleton.hpp: No such file or directory
flightgear #652797 [singleton,caused by #652788] error: boost/pool/detail/singleton.hpp: No such file or directory
ovito #652795 [moc] has_binary_operator.hp:50: Parse error at "BOOST_JOIN"
pinot #652786 [singleton] Memory.h:184:11: error: 'singleton_default' in namespace 'boost::details::pool' does not name a type
pion-net #653787 [io_service] 'boost::asio::ssl::stream<boost::asio::basic_stream_socket<boost::asio::ip::tcp> >::lowest_layer_type' has no member named 'io_service'
python-visual #652798 [random] random_device.cpp:30:63: error: 'const result_type boost::random::random_device::min_value' is not a static member of 'class boost::random::random_device'
qpid-cpp #653795 [singleton] fatal error: boost/pool/detail/singleton.hpp: No such file or directory
qt-gstreamer #653796 [moc] has_binary_operator.hp:50: Parse error at "BOOST_JOIN"
simgear #652788 [singleton] error: boost/pool/detail/singleton.hpp: No such file or directory
vtk #653805 [upstream,patch] vtkBoostBreadthFirstSearchTree.cxx:98:5: error: 'class boost::detail::reverse_graph_edge_descriptor<vtkEdgeType>' has no member named 'Id'
wesnoth-1.8 #653806 [pending]: error: 'boost::noncopyable_::noncopyable::noncopyable(const boost::noncopyable_::noncopyable&)' is private
witty #653807 [random] random_device.cpp:45:63: error: 'const result_type boost::random::random_device::min_value' is not a static member of 'class boost::random::random_device'


Unknown Fix (3):
----------------

drizzle #653627 [TODO] constructor 'boost::detail::shared_count::shared_count(P, boost::detail::sp_inplace_tag<D>)'
eiskaltdcpp #655184 [TODO] error: 'boost::interprocess::detail' has not been declared
openvrml #652790 [TODO] scope_guard.hpp:122:29: error: 'boost::mpl' has not been declared

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#653823; Package release.debian.org. (Sat, 14 Jan 2012 15:03:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tobias Frost <tobi@frost.de>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 14 Jan 2012 15:03:12 GMT) Full text and rfc822 format available.

Message #32 received at 653823@bugs.debian.org (full text, mbox):

From: Tobias Frost <tobi@frost.de>
To: 653823@bugs.debian.org
Cc: "Steve M. Robbins" <smr@debian.org>
Subject: Mission Acomplished.
Date: Sat, 14 Jan 2012 16:00:02 +0100
Hallo,

I think I stop now working on the boost-related topics,
because, well, I am running out bugs now ;-)

Please see the updated list:

Category FIX KNOWN:
avogadro #653625 [moc]		--> submitted patch
fgrun #652775 [see #652788]	--> see simgear
flightgear #652797 [see #652788] -> see simgear
ovito #652795 [moc]  		--> submitted patch
pinot #652786 [singleton]       --> submitted patch
pion-net #653787 [io_service]	--> already fixed & uploaded
python-visual #652798 [random]	--> submitted patch
qpid-cpp #653795 [singleton]	--> already fixed & uploaded
qt-gstreamer #653796 [moc]	--> submitted patch
simgear #652788 [singleton]	--> submitted patch
vtk #653805 [upstream,patch]	--> patch available
wesnoth-1.8 #653806 [pending]	--> already fixed & uploaded
witty #653807 [random]		--> submitted patch 

drizzle #653627			--> submitted patch
eiskaltdcpp #655184		--> needs debian mentor
openvrml #652790 [TODO]  	--> submitted patch

Steve: How to go on? Are you planning to toggle the switch now
or do you want to wait until the patches enter unstable?
In the case, should we wait few more days and then starting NMUs?

Best regards,
coldtobi





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#653823; Package release.debian.org. (Sat, 14 Jan 2012 15:34:33 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Steve M. Robbins" <steve@sumost.ca>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 14 Jan 2012 15:34:33 GMT) Full text and rfc822 format available.

Message #37 received at 653823@bugs.debian.org (full text, mbox):

From: "Steve M. Robbins" <steve@sumost.ca>
To: Tobias Frost <tobi@frost.de>
Cc: 653823@bugs.debian.org
Subject: Re: Mission Acomplished.
Date: Sat, 14 Jan 2012 09:17:10 -0600
[Message part 1 (text/plain, inline)]
Dear Release Team,

Thanks to the hard work of Tobias, all known build failures related to
Boost 1.48 are either pending or have a patch readily available.

Is there anything further you need me to do before flipping
the Boost Default and closing this bug?

Thanks,
-Steve
[signature.asc (application/pgp-signature, inline)]

Added blocking bug(s) of 653823: 653625 Request was from "Steve M. Robbins" <steve@sumost.ca> to control@bugs.debian.org. (Sun, 22 Jan 2012 20:45:27 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 653823: 652775 Request was from "Steve M. Robbins" <steve@sumost.ca> to control@bugs.debian.org. (Sun, 22 Jan 2012 20:45:30 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 653823: 652797 Request was from "Steve M. Robbins" <steve@sumost.ca> to control@bugs.debian.org. (Sun, 22 Jan 2012 20:45:36 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 653823: 652784, 653805, 652795, 652788, 653806, 653796, 653807, 652798, 652786, and 652790 Request was from "Steve M. Robbins" <steve@sumost.ca> to control@bugs.debian.org. (Sun, 22 Jan 2012 20:51:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#653823; Package release.debian.org. (Mon, 30 Jan 2012 07:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Steve M. Robbins" <steve@sumost.ca>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 30 Jan 2012 07:48:04 GMT) Full text and rfc822 format available.

Message #50 received at 653823@bugs.debian.org (full text, mbox):

From: "Steve M. Robbins" <steve@sumost.ca>
To: 653823@bugs.debian.org
Subject: Status update: ready to transition this week
Date: Mon, 30 Jan 2012 01:45:54 -0600
[Message part 1 (text/plain, inline)]
Hi,

As previously mentioned, all known build failures have patches in the
BTS.  This weekend, I ran a new rebuild of 241 packages that
build-depend on some part of boost-defaults.  No new boost-related
failures were found.

I have uploaded six NMUs to delayed/10.  There are only
three packages left:

Two that need an updated random_device:
python-visual #652798 
witty #653807 

After fixing these, I think it is safe enough to upload a new
boost defaults.  That should happen this week.

The last package, I will not touch since there is an unrelated
build problem after fixing the boost issue.
openvrml #652790

Regards,
-Steve
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#653823; Package release.debian.org. (Mon, 30 Jan 2012 10:03:34 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 30 Jan 2012 10:03:44 GMT) Full text and rfc822 format available.

Message #55 received at 653823@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: "Steve M. Robbins" <steve@sumost.ca>, 653823@bugs.debian.org
Subject: Re: Bug#653823: Status update: ready to transition this week
Date: Mon, 30 Jan 2012 10:59:49 +0100
[Message part 1 (text/plain, inline)]
Steve M. Robbins <steve@sumost.ca> (30/01/2012):
> The last package, I will not touch since there is an unrelated
> build problem after fixing the boost issue.
> openvrml #652790

I've hinted out of testing, see last mail on this bug report. It should
be gone with the run starting in one minute.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Wed, 01 Feb 2012 07:09:11 GMT) Full text and rfc822 format available.

Reply sent to smr@debian.org (Steve M. Robbins):
You have taken responsibility. (Thu, 02 Feb 2012 16:36:31 GMT) Full text and rfc822 format available.

Notification sent to "Steve M. Robbins" <smr@debian.org>:
Bug acknowledged by developer. (Thu, 02 Feb 2012 16:36:31 GMT) Full text and rfc822 format available.

Message #62 received at 653823-close@bugs.debian.org (full text, mbox):

From: smr@debian.org (Steve M. Robbins)
To: 653823-close@bugs.debian.org
Subject: Bug#653823: fixed in boost-defaults 1.48.0.3
Date: Thu, 02 Feb 2012 16:32:27 +0000
Source: boost-defaults
Source-Version: 1.48.0.3

We believe that the bug you reported is fixed in the latest version of
boost-defaults, which is due to be installed in the Debian FTP archive:

boost-defaults_1.48.0.3.dsc
  to main/b/boost-defaults/boost-defaults_1.48.0.3.dsc
boost-defaults_1.48.0.3.tar.gz
  to main/b/boost-defaults/boost-defaults_1.48.0.3.tar.gz
libboost-all-dev_1.48.0.3_amd64.deb
  to main/b/boost-defaults/libboost-all-dev_1.48.0.3_amd64.deb
libboost-chrono-dev_1.48.0.3_amd64.deb
  to main/b/boost-defaults/libboost-chrono-dev_1.48.0.3_amd64.deb
libboost-date-time-dev_1.48.0.3_amd64.deb
  to main/b/boost-defaults/libboost-date-time-dev_1.48.0.3_amd64.deb
libboost-dbg_1.48.0.3_amd64.deb
  to main/b/boost-defaults/libboost-dbg_1.48.0.3_amd64.deb
libboost-dev_1.48.0.3_amd64.deb
  to main/b/boost-defaults/libboost-dev_1.48.0.3_amd64.deb
libboost-doc_1.48.0.3_all.deb
  to main/b/boost-defaults/libboost-doc_1.48.0.3_all.deb
libboost-filesystem-dev_1.48.0.3_amd64.deb
  to main/b/boost-defaults/libboost-filesystem-dev_1.48.0.3_amd64.deb
libboost-graph-dev_1.48.0.3_amd64.deb
  to main/b/boost-defaults/libboost-graph-dev_1.48.0.3_amd64.deb
libboost-graph-parallel-dev_1.48.0.3_amd64.deb
  to main/b/boost-defaults/libboost-graph-parallel-dev_1.48.0.3_amd64.deb
libboost-iostreams-dev_1.48.0.3_amd64.deb
  to main/b/boost-defaults/libboost-iostreams-dev_1.48.0.3_amd64.deb
libboost-locale-dev_1.48.0.3_amd64.deb
  to main/b/boost-defaults/libboost-locale-dev_1.48.0.3_amd64.deb
libboost-math-dev_1.48.0.3_amd64.deb
  to main/b/boost-defaults/libboost-math-dev_1.48.0.3_amd64.deb
libboost-mpi-dev_1.48.0.3_amd64.deb
  to main/b/boost-defaults/libboost-mpi-dev_1.48.0.3_amd64.deb
libboost-mpi-python-dev_1.48.0.3_amd64.deb
  to main/b/boost-defaults/libboost-mpi-python-dev_1.48.0.3_amd64.deb
libboost-program-options-dev_1.48.0.3_amd64.deb
  to main/b/boost-defaults/libboost-program-options-dev_1.48.0.3_amd64.deb
libboost-python-dev_1.48.0.3_amd64.deb
  to main/b/boost-defaults/libboost-python-dev_1.48.0.3_amd64.deb
libboost-random-dev_1.48.0.3_amd64.deb
  to main/b/boost-defaults/libboost-random-dev_1.48.0.3_amd64.deb
libboost-regex-dev_1.48.0.3_amd64.deb
  to main/b/boost-defaults/libboost-regex-dev_1.48.0.3_amd64.deb
libboost-serialization-dev_1.48.0.3_amd64.deb
  to main/b/boost-defaults/libboost-serialization-dev_1.48.0.3_amd64.deb
libboost-signals-dev_1.48.0.3_amd64.deb
  to main/b/boost-defaults/libboost-signals-dev_1.48.0.3_amd64.deb
libboost-system-dev_1.48.0.3_amd64.deb
  to main/b/boost-defaults/libboost-system-dev_1.48.0.3_amd64.deb
libboost-test-dev_1.48.0.3_amd64.deb
  to main/b/boost-defaults/libboost-test-dev_1.48.0.3_amd64.deb
libboost-thread-dev_1.48.0.3_amd64.deb
  to main/b/boost-defaults/libboost-thread-dev_1.48.0.3_amd64.deb
libboost-timer-dev_1.48.0.3_amd64.deb
  to main/b/boost-defaults/libboost-timer-dev_1.48.0.3_amd64.deb
libboost-wave-dev_1.48.0.3_amd64.deb
  to main/b/boost-defaults/libboost-wave-dev_1.48.0.3_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 653823@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Steve M. Robbins <smr@debian.org> (supplier of updated boost-defaults package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 01 Feb 2012 00:25:50 -0600
Source: boost-defaults
Binary: libboost-dbg libboost-dev libboost-all-dev libboost-doc libboost-chrono-dev libboost-date-time-dev libboost-filesystem-dev libboost-graph-dev libboost-graph-parallel-dev libboost-iostreams-dev libboost-locale-dev libboost-math-dev libboost-mpi-dev libboost-mpi-python-dev libboost-program-options-dev libboost-python-dev libboost-random-dev libboost-regex-dev libboost-serialization-dev libboost-signals-dev libboost-system-dev libboost-test-dev libboost-thread-dev libboost-timer-dev libboost-wave-dev
Architecture: source amd64 all
Version: 1.48.0.3
Distribution: unstable
Urgency: low
Maintainer: Debian Boost Team <pkg-boost-devel@lists.alioth.debian.org>
Changed-By: Steve M. Robbins <smr@debian.org>
Description: 
 libboost-all-dev - Boost C++ Libraries development files (ALL) (default version)
 libboost-chrono-dev - C++ representation of time duration, time point, and clocks (defa
 libboost-date-time-dev - set of date-time libraries based on generic programming concepts
 libboost-dbg - Boost C++ Libraries with debug symbols (default version)
 libboost-dev - Boost C++ Libraries development files (default version)
 libboost-doc - Boost.org libraries documentation (default version)
 libboost-filesystem-dev - filesystem operations (portable paths, iteration over directories
 libboost-graph-dev - generic graph components and algorithms in C++ (default version)
 libboost-graph-parallel-dev - generic graph components and algorithms in C++ (default version)
 libboost-iostreams-dev - Boost.Iostreams Library development files (default version)
 libboost-locale-dev - C++ facilities for localization (default version)
 libboost-math-dev - Boost.Math Library development files (default version)
 libboost-mpi-dev - C++ interface to the Message Passing Interface (MPI) (default ver
 libboost-mpi-python-dev - C++ interface to the Message Passing Interface (MPI), Python Bind
 libboost-program-options-dev - program options library for C++ (default version)
 libboost-python-dev - Boost.Python Library development files (default version)
 libboost-random-dev - Boost Random Number Library (default version)
 libboost-regex-dev - regular expression library for C++ (default version)
 libboost-serialization-dev - serialization library for C++ (default version)
 libboost-signals-dev - managed signals and slots library for C++ (default version)
 libboost-system-dev - Operating system (e.g. diagnostics support) library (default vers
 libboost-test-dev - components for writing and executing test suites (default version
 libboost-thread-dev - portable C++ multi-threading (default version)
 libboost-timer-dev - C++ wall clock and CPU process timers (default version)
 libboost-wave-dev - C99/C++ preprocessor library (default version)
Closes: 653228 653823
Changes: 
 boost-defaults (1.48.0.3) unstable; urgency=low
 .
   * Set default Boost to 1.48.0.  Closes: #653823, #653228.
Checksums-Sha1: 
 890d5a8b23c2ee72f0892f0d8e202318ac627246 2635 boost-defaults_1.48.0.3.dsc
 2572e93653b857d68ec39a9aa2b319ffbbdaf3a6 7283 boost-defaults_1.48.0.3.tar.gz
 8646084e3c1ae22ebcc6dd327a69d63aab27d577 2658 libboost-dbg_1.48.0.3_amd64.deb
 dcd841cac7300c7fb7aa0cd3ce390c0bb8a2121a 2998 libboost-dev_1.48.0.3_amd64.deb
 91ef43533c1c3bbfa5de714bffeba8f593dd7105 2980 libboost-all-dev_1.48.0.3_amd64.deb
 ddfe01cb2067270ba52a6f3c8cea23f7607394d9 2876 libboost-doc_1.48.0.3_all.deb
 d333f285343b2d918a1e78b92ab183fc8330266a 3316 libboost-chrono-dev_1.48.0.3_amd64.deb
 9d9ca7e38e9b29caec1682287952ff1c47ecb260 2694 libboost-date-time-dev_1.48.0.3_amd64.deb
 56564f383420d9a5bffd4196b666db9dd5b1766e 2718 libboost-filesystem-dev_1.48.0.3_amd64.deb
 a5021e7ecc95dce5021542f7c2f5e32d3b017f9a 2784 libboost-graph-dev_1.48.0.3_amd64.deb
 72f8a5282bf03db07cc1a0e2bf06812209305ea0 2832 libboost-graph-parallel-dev_1.48.0.3_amd64.deb
 a9120b1d9050a07c460386ccb75bdd86e0e88668 2678 libboost-iostreams-dev_1.48.0.3_amd64.deb
 2dc70da1612b596d2a3f4c4185218b454e8ec9c3 3020 libboost-locale-dev_1.48.0.3_amd64.deb
 f8f944ac713cb36c6371bdbfca3c40c5d95acb13 2888 libboost-math-dev_1.48.0.3_amd64.deb
 a4ed9ba8cafeb26e799398e236c9a9527638e3e8 2782 libboost-mpi-dev_1.48.0.3_amd64.deb
 12c164e24e881beb61613189dd0d3074f5b0f962 2818 libboost-mpi-python-dev_1.48.0.3_amd64.deb
 7c8b910b67f8638d6f65876ec773ac23fc7e9c8d 2700 libboost-program-options-dev_1.48.0.3_amd64.deb
 8cf1f80f5f6c8a1ead67dbd5811fe0a85227eea5 3080 libboost-python-dev_1.48.0.3_amd64.deb
 6f94a3f394b1b5070ca048d53e6b2f04e549336f 2692 libboost-random-dev_1.48.0.3_amd64.deb
 3fcc074490158c5b99f11a385a567423a7ab4cdd 2944 libboost-regex-dev_1.48.0.3_amd64.deb
 032938f2b13e8278d7ec7fa7fdfac24455aeea3f 2916 libboost-serialization-dev_1.48.0.3_amd64.deb
 d2997a2065428375cb5487cdcc7c157f04140f11 2750 libboost-signals-dev_1.48.0.3_amd64.deb
 4a23cdbe30e3da9e2cd7ee368b6c957a888935f6 2822 libboost-system-dev_1.48.0.3_amd64.deb
 ac34984930bc4139754d9bc1ccceaf94a6506087 2720 libboost-test-dev_1.48.0.3_amd64.deb
 1238b22cff34970cc36a9b1f92956678ffd50656 2708 libboost-thread-dev_1.48.0.3_amd64.deb
 f64148239a364fdfa9a52860987450a3c94c8355 2808 libboost-timer-dev_1.48.0.3_amd64.deb
 2774902619f84e24652219728f872f1ec9d6177c 2716 libboost-wave-dev_1.48.0.3_amd64.deb
Checksums-Sha256: 
 371bf31fd4c179b284724509d7d8f59eda14835f8275c64cd645401c44a63706 2635 boost-defaults_1.48.0.3.dsc
 37054842d9db215a3256acc45941ceb2d310284b1d8c35db0a2713db014db4cc 7283 boost-defaults_1.48.0.3.tar.gz
 991196877a703a8303d52aed83aa977edd7477a0cf4bf11bd24a9ecb584ebee0 2658 libboost-dbg_1.48.0.3_amd64.deb
 e176692a6233c6337e745b8ce0a94430c6fe7cfabc908185e3f0dbe2310a67b8 2998 libboost-dev_1.48.0.3_amd64.deb
 0c99ad3b9b261083c56f0193b7902722337d7085597251afcc8dc5c30f55b130 2980 libboost-all-dev_1.48.0.3_amd64.deb
 5a607d038a197ff9ed17bad74a655006c1220bf90b6d852936131481b056a835 2876 libboost-doc_1.48.0.3_all.deb
 4385d37aa9d2ebb704707f71a0dc142272ed36ad3c635619c72f3407149a9f4d 3316 libboost-chrono-dev_1.48.0.3_amd64.deb
 81525a103e6694a83980f24bb575cf540cc55ecf3c4b400051702db4368c0915 2694 libboost-date-time-dev_1.48.0.3_amd64.deb
 1bbe1884355315b7e033f36fc5fd800ad9cae04ad6ea154f2ed0aa1975165129 2718 libboost-filesystem-dev_1.48.0.3_amd64.deb
 c4128b8f9e782efdc7fddc9b2acf3ae1751d5b239e34e5653104dfb84920561f 2784 libboost-graph-dev_1.48.0.3_amd64.deb
 01066900cd25d674ea399b4ff4cbc61787d4ac4b35e3c4574aa8f7a4753f0c24 2832 libboost-graph-parallel-dev_1.48.0.3_amd64.deb
 f7901dedcdac91eb5677d99bf2410ddc9bccc31784227c3ea85c5a5c92fd9020 2678 libboost-iostreams-dev_1.48.0.3_amd64.deb
 47914e81be260bb96cf588f2d03682283fb8a87f219fe0b3e5b888466c2a6556 3020 libboost-locale-dev_1.48.0.3_amd64.deb
 e4ba602c87f8a5698f42defe9c6bea97ed1e08f74e813fdcd99f9d10d9d7fd9e 2888 libboost-math-dev_1.48.0.3_amd64.deb
 25b1846acbaee71305b9da8a1b98bde7028487ed7fbb2e182d19b895d0982ed9 2782 libboost-mpi-dev_1.48.0.3_amd64.deb
 9e023bf4166b48ec8b581eaa36f8344920d82b25fec82d0b7f0b53235a004497 2818 libboost-mpi-python-dev_1.48.0.3_amd64.deb
 cb2894383edc95a35432e146e4b392849c6f01233e128cc7f228cdcdb6b0eee9 2700 libboost-program-options-dev_1.48.0.3_amd64.deb
 bcb5b1537d8e970ab52fdc502e8d5491f5d407c6cb20ca108351273911abf11d 3080 libboost-python-dev_1.48.0.3_amd64.deb
 00139e541215b4aea4bda502ac7419948bdae1684dc74012073002cc6e49f46a 2692 libboost-random-dev_1.48.0.3_amd64.deb
 12cba88ba07d32f113153f0c37f865fc3ec7e207ea6190714a9b8b9b9ee4cb73 2944 libboost-regex-dev_1.48.0.3_amd64.deb
 eca6bc0a2545dda9c9262e8e94bdd3e82a29859b8eca311fdab8b3b462f7d6c8 2916 libboost-serialization-dev_1.48.0.3_amd64.deb
 5fd0f31440822890947cead64e00079137591c49b68d23ffe1d933534f43dde0 2750 libboost-signals-dev_1.48.0.3_amd64.deb
 f0bd783b1dbf20c80dfed58013a8805758a6f85ef7590617d33196c8dd268f2f 2822 libboost-system-dev_1.48.0.3_amd64.deb
 086c4e26aa7311b3bc3da4f8365929db300dde2ff45ef2a75cdab79c46a1fb91 2720 libboost-test-dev_1.48.0.3_amd64.deb
 a7557afe9e1f37eb44fe22f6f551334a04c9dcc43ff50088907ebfb2da39d564 2708 libboost-thread-dev_1.48.0.3_amd64.deb
 fcee7255e5a52399fbdfc9a44665c9929fd888967da57d91096195f937f9e3dd 2808 libboost-timer-dev_1.48.0.3_amd64.deb
 197150f7975116b7de25d054807535203ab90eb33ffc94c2c8a7918aacae0b4f 2716 libboost-wave-dev_1.48.0.3_amd64.deb
Files: 
 dd163d55c41b97c14192e7aca7ffb9e0 2635 libs optional boost-defaults_1.48.0.3.dsc
 b8f01fef07bdef542b7bbd4e8ea63f9b 7283 libs optional boost-defaults_1.48.0.3.tar.gz
 3b1bb55bc5b8bd145dc5d3c2f7fc0c3f 2658 debug extra libboost-dbg_1.48.0.3_amd64.deb
 3116618a43568623ced698f3a8b89dca 2998 libdevel optional libboost-dev_1.48.0.3_amd64.deb
 8d40a14f2bb822850e5835298cb12ef6 2980 libdevel optional libboost-all-dev_1.48.0.3_amd64.deb
 55515881e238383ea98cb5b04e96d88e 2876 doc optional libboost-doc_1.48.0.3_all.deb
 3527e677abd10ee3fd2af9acddb9ab10 3316 libdevel optional libboost-chrono-dev_1.48.0.3_amd64.deb
 cabe66f50f720dd69828502ab13e210a 2694 libdevel optional libboost-date-time-dev_1.48.0.3_amd64.deb
 1f6f55eee78d1600bb2baf92f8af7cd4 2718 libdevel optional libboost-filesystem-dev_1.48.0.3_amd64.deb
 4d3b66903c366e5d1c1360e6d02bddcb 2784 libdevel optional libboost-graph-dev_1.48.0.3_amd64.deb
 ef78f24f5c50477d565007c4e26985c9 2832 libdevel optional libboost-graph-parallel-dev_1.48.0.3_amd64.deb
 4e1f09144731d3a1d2bb08f01cdc0306 2678 libdevel optional libboost-iostreams-dev_1.48.0.3_amd64.deb
 41956730eb56a6b1eef7d1449d01e994 3020 libdevel optional libboost-locale-dev_1.48.0.3_amd64.deb
 843603c2828b124a48434725cc79a5a2 2888 libdevel optional libboost-math-dev_1.48.0.3_amd64.deb
 e997e6a618acf26ce6cbe050f93e41ab 2782 libdevel optional libboost-mpi-dev_1.48.0.3_amd64.deb
 b3624992116c6d69a9ffe96e62561628 2818 libdevel optional libboost-mpi-python-dev_1.48.0.3_amd64.deb
 d261099d2711c5106f3c08ffa2e813e7 2700 libdevel optional libboost-program-options-dev_1.48.0.3_amd64.deb
 7898dbf21780ae0a2ff9d7abc6794a74 3080 libdevel optional libboost-python-dev_1.48.0.3_amd64.deb
 5e73d1e2ab2b8b6d06aa46d57419fcc6 2692 libdevel optional libboost-random-dev_1.48.0.3_amd64.deb
 c9aed556547ba795bdc81136331d79a8 2944 libdevel optional libboost-regex-dev_1.48.0.3_amd64.deb
 970e13cbca66ab6c00f96c75a7d1585a 2916 libdevel optional libboost-serialization-dev_1.48.0.3_amd64.deb
 8d1022cb34bfb53ef933155b2a9c982b 2750 libdevel optional libboost-signals-dev_1.48.0.3_amd64.deb
 2670191fd475399599eb30424d5c2c57 2822 libdevel optional libboost-system-dev_1.48.0.3_amd64.deb
 f1ab2944002d940ed77211563c957b56 2720 libdevel optional libboost-test-dev_1.48.0.3_amd64.deb
 344161d284aba116d401bac5ed6a50ea 2708 libdevel optional libboost-thread-dev_1.48.0.3_amd64.deb
 e387738486f87aeb82e12c2c659d8a30 2808 libdevel optional libboost-timer-dev_1.48.0.3_amd64.deb
 4c3a19e003764ea71eb134dd74ec8fc5 2716 libdevel optional libboost-wave-dev_1.48.0.3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iD8DBQFPKN2U0i2bPSHbMcURAnxvAJ9W4nb1ZSSDuFS0k5VC5XR9in9EKQCgncOj
OsA0PHJyC1M2G3dBI8Alv0g=
=0e82
-----END PGP SIGNATURE-----





Bug No longer marked as fixed in versions boost-defaults/1.48.0.3 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 03 Feb 2012 03:06:03 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Pino Toscano <pino@debian.org> to control@bugs.debian.org. (Mon, 20 Feb 2012 14:54:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#653823; Package release.debian.org. (Sat, 03 Mar 2012 17:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 03 Mar 2012 17:12:03 GMT) Full text and rfc822 format available.

Message #71 received at 653823@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: "Steve M. Robbins" <smr@debian.org>, 653823@bugs.debian.org
Subject: Re: Bug#653823: transition: boost-defaults
Date: Sat, 3 Mar 2012 18:09:33 +0100
[Message part 1 (text/plain, inline)]
On Sat, Dec 31, 2011 at 01:29:58 -0600, Steve M. Robbins wrote:

> I would like to change Debian's default boost version from 1.46.1 to
> 1.48.  This change does not directly impact any binary packages.
> However, it will affect the buildability of source packages.
> 
I set up http://release.debian.org/transitions/html/boost1.48.html to
track the rebuild status of the reverse dependencies.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#653823; Package release.debian.org. (Sat, 03 Mar 2012 18:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Steve M. Robbins" <steve@sumost.ca>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 03 Mar 2012 18:24:05 GMT) Full text and rfc822 format available.

Message #76 received at 653823@bugs.debian.org (full text, mbox):

From: "Steve M. Robbins" <steve@sumost.ca>
To: Julien Cristau <jcristau@debian.org>
Cc: 653823@bugs.debian.org, debian-release@lists.debian.org
Subject: Re: Bug#653823: transition: boost-defaults
Date: Sat, 3 Mar 2012 12:21:20 -0600
[Message part 1 (text/plain, inline)]
Hello,

On Sat, Mar 03, 2012 at 06:09:33PM +0100, Julien Cristau wrote:
> On Sat, Dec 31, 2011 at 01:29:58 -0600, Steve M. Robbins wrote:
> 
> > I would like to change Debian's default boost version from 1.46.1 to
> > 1.48.  This change does not directly impact any binary packages.
> > However, it will affect the buildability of source packages.
> > 
> I set up http://release.debian.org/transitions/html/boost1.48.html to
> track the rebuild status of the reverse dependencies.

Thanks, Julien.

I need some guidance from the release team regarding Boost.  

Last Sunday I uploaded another new version (1.49).  It's still in NEW,
but I'd like to transition boost-defaults to 1.49 ASAP.  I plan to do
local rebuilds as I did for 1.48 prior to transitioning and submit any
patches necessary to support Boost 1.49.  Based on my experience with
1.48, that will likely take some weeks (say 4).

I'm not 100% sure what happens when a transition tracker is set up (as
for boost1.48).  But I fear it may consume release team resources
scheduling rebuilds and the like.  If so, the question for the release
team is: do you want to do it for 1.48 or wait for the 1.49
transition?

As far as I know, the Wheezy freeze is still on for June.  The next
boost release should be in late May, which I suspect means it will be
too late for me to package for the June freeze.  Thus my proposal is
that 1.49 be the default version of boost for Wheezy.  This is why
I raise the idea of skipping 1.48 and concentrating on migrating
boost defaults to 1.49.

Appreciate any feedback.

Thanks,
-Steve
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#653823; Package release.debian.org. (Sat, 03 Mar 2012 18:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 03 Mar 2012 18:39:03 GMT) Full text and rfc822 format available.

Message #81 received at 653823@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: "Steve M. Robbins" <steve@sumost.ca>
Cc: 653823@bugs.debian.org, debian-release@lists.debian.org
Subject: Re: Bug#653823: transition: boost-defaults
Date: Sat, 3 Mar 2012 19:34:57 +0100
[Message part 1 (text/plain, inline)]
On Sat, Mar  3, 2012 at 12:21:20 -0600, Steve M. Robbins wrote:

> Hello,
> 
> On Sat, Mar 03, 2012 at 06:09:33PM +0100, Julien Cristau wrote:
> > On Sat, Dec 31, 2011 at 01:29:58 -0600, Steve M. Robbins wrote:
> > 
> > > I would like to change Debian's default boost version from 1.46.1 to
> > > 1.48.  This change does not directly impact any binary packages.
> > > However, it will affect the buildability of source packages.
> > > 
> > I set up http://release.debian.org/transitions/html/boost1.48.html to
> > track the rebuild status of the reverse dependencies.
> 
> Thanks, Julien.
> 
> I need some guidance from the release team regarding Boost.  
> 
> Last Sunday I uploaded another new version (1.49).  It's still in NEW,
> but I'd like to transition boost-defaults to 1.49 ASAP.  I plan to do
> local rebuilds as I did for 1.48 prior to transitioning and submit any
> patches necessary to support Boost 1.49.  Based on my experience with
> 1.48, that will likely take some weeks (say 4).
> 
> I'm not 100% sure what happens when a transition tracker is set up (as
> for boost1.48).  But I fear it may consume release team resources
> scheduling rebuilds and the like.  If so, the question for the release
> team is: do you want to do it for 1.48 or wait for the 1.49
> transition?
> 
> As far as I know, the Wheezy freeze is still on for June.  The next
> boost release should be in late May, which I suspect means it will be
> too late for me to package for the June freeze.  Thus my proposal is
> that 1.49 be the default version of boost for Wheezy.  This is why
> I raise the idea of skipping 1.48 and concentrating on migrating
> boost defaults to 1.49.
> 
Sounds ok to me, I'll hold off on any binNMUs against 1.48 then.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#653823; Package release.debian.org. (Sat, 03 Mar 2012 19:09:42 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Falavigna <dktrkranz@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 03 Mar 2012 19:09:42 GMT) Full text and rfc822 format available.

Message #86 received at 653823@bugs.debian.org (full text, mbox):

From: Luca Falavigna <dktrkranz@debian.org>
To: "Steve M. Robbins" <steve@sumost.ca>
Cc: 653823@bugs.debian.org, debian-release@lists.debian.org
Subject: Re: Bug#653823: transition: boost-defaults
Date: Sat, 03 Mar 2012 20:04:26 +0100
Il 03/03/2012 19:21, Steve M. Robbins ha scritto:
> Last Sunday I uploaded another new version (1.49).  It's still in NEW,
> but I'd like to transition boost-defaults to 1.49 ASAP.

FYI, I just accepted it.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#653823; Package release.debian.org. (Sat, 10 Mar 2012 08:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to coldtobi <tobi@coldtobi.de>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 10 Mar 2012 08:24:05 GMT) Full text and rfc822 format available.

Message #91 received at 653823@bugs.debian.org (full text, mbox):

From: coldtobi <tobi@coldtobi.de>
To: Debian Bug Tracking System <653823@bugs.debian.org>
Subject: release.debian.org: status of transistion for boost?
Date: Sat, 10 Mar 2012 09:20:02 +0100
Package: release.debian.org
Followup-For: Bug #653823

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hallo,

I learned from my PTS (drizzle) that there is an ongoing transition for
boost1.48, abut after reading this thread I confused and wondering if this is
still true Has the transistion stopped? Has is converted to a boost1.49
transistion? Or are you planning something else?

If it is stopped righted now ("Sounds ok to me, I'll hold off on any binNMUs
against 1.48 then.")?
Well, I'd to know, because I'd like to continue with my packaging work, fixing
some i10n bugs and eventually getting a new upstream version uploaded.

Please communicate your plans, and maybe also a guess on the timeline would
be nice.

Best regards,
coldtobi

- -- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=de_DE.utf8, LC_CTYPE=de_DE.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk9bDqwACgkQvyUNygvkuQLqagCg4o+PP/0tMs9F8o8DKxM8MWKG
qqYAoML8rlhqyRtOkkc+CGl1+DpuDvbq
=Dmpd
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#653823; Package release.debian.org. (Sat, 10 Mar 2012 09:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 10 Mar 2012 09:21:05 GMT) Full text and rfc822 format available.

Message #96 received at 653823@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: coldtobi <tobi@coldtobi.de>, 653823@bugs.debian.org
Subject: Re: Bug#653823: release.debian.org: status of transistion for boost?
Date: Sat, 10 Mar 2012 10:18:58 +0100
[Message part 1 (text/plain, inline)]
On Sat, Mar 10, 2012 at 09:20:02 +0100, coldtobi wrote:

> Package: release.debian.org
> Followup-For: Bug #653823
> 
> Hallo,
> 
> I learned from my PTS (drizzle) that there is an ongoing transition for
> boost1.48, abut after reading this thread I confused and wondering if this is
> still true Has the transistion stopped? Has is converted to a boost1.49
> transistion? Or are you planning something else?
> 
Don't worry about it for now.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#653823; Package release.debian.org. (Sun, 11 Mar 2012 18:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Steve M. Robbins" <steve@sumost.ca>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 11 Mar 2012 18:24:03 GMT) Full text and rfc822 format available.

Message #101 received at 653823@bugs.debian.org (full text, mbox):

From: "Steve M. Robbins" <steve@sumost.ca>
To: Julien Cristau <jcristau@debian.org>
Cc: 653823@bugs.debian.org, debian-release@lists.debian.org
Subject: Re: Bug#653823: transition: boost-defaults
Date: Sun, 11 Mar 2012 13:21:19 -0500
[Message part 1 (text/plain, inline)]
Hello Release Team,

On Sat, Mar 03, 2012 at 12:21:20PM -0600, Steve M. Robbins wrote:

> I need some guidance from the release team regarding Boost.  
> 
> Last Sunday I uploaded another new version (1.49).  It's still in NEW,
> but I'd like to transition boost-defaults to 1.49 ASAP.  I plan to do
> local rebuilds as I did for 1.48 prior to transitioning and submit any
> patches necessary to support Boost 1.49.

OK, I have just finished the local rebuilds against boost-defaults set
to 1.49.

The good news is that of 249 packages, there are just TWO new issues
related to boost 1.49!  Thus I'd like to formally request that this
transition (bug #653823) be changed to Boost 1.49 transition.

My next steps are to work on the issues, described in detail below.
IMHO, none of them seem to be show-stoppers so I'd like to get a
sense of when you feel it would be appropriate to flip the 
boost-default and upload.

What follows is a summary of my rebuilds.  I use the shorthand
"package: #bug [tag] explanation", where "#none" means no bug is yet
filed.


New Issues
----------

luabind: #none [NEW] ./luabind/detail/call_member.hpp:319:1: error: missing binary operator before token "("

This issue is described in upstream tracker ticket
https://svn.boost.org/trac/boost/ticket/6631 .  I'm discussing the
options with upstream on the mailing list; see
http://lists.boost.org/Archives/boost/2012/03/191073.php . It sounds
like there may be a way to fix this in boost itself that I will
investigate.  Otherwise, it's a simple fix to luabind.



vtk: #none [NEW] vtkBoostBreadthFirstSearchTree.cxx:56:14: error: 'const class boost::detail::reverse_graph_edge_descriptor<vtkEdgeType>' has no member named 'underlying_desc'

This issue is upstream: the VTK code depends on Boost internals and
needs patch for 1.49.  I've filed the bug and will work with upstream
http://vtk.org/Bug/view.php?id=12988



Old Issues
----------

These issues were uncovered when the defaults switched to 1.48, and
remain unfixed.  Two of these have a patch in PTS, the third is for a
package (wesnoth-1.8) that is superceeded and won't be fixed.

openvrml: #652790 [PENDING] /usr/include/boost/multi_index/detail/scope_guard.hpp:122:29: error: 'boost::mpl' has not been declared
wesnoth-1.8: #653806 [WONTFIX] error: 'boost::noncopyable_::noncopyable::noncopyable(const boost::noncopyable_::noncopyable&)' is private (known bug, fixed in wesnoth-1.10; won't be fixed in wesnoth-1.8)
witty: #653807 [PATCH] random_device.cpp:45:63: error: 'const result_type boost::random::random_device::min_value' is not a static member of 'class boost::random::random_device' (patch known from boost 1.48)



Unrelated to Boost
------------------

These are all either due to inability to satisfy build-depends or a
build failure unrelated to boost.  All I plan to do is file FTBFS bugs
where none yet exist.

Tags used:
[DEPS] Cannot install all build dependencies, not related to boost
[FTBFS] Failed To Build From Source, not related to boost
[SOVER] Package builds library with SOVERSION 4.7.0, but installs or links to version 4.6.0

csound: #660232 [FTBFS] scons: *** [_csnd.so] Implicit dependency `/usr/lib/libpython2.7.a' not found, needed by target `_csnd.so'.
ember: #629767 [DEPS] Build-Depends dependency for ember cannot be satisfied because the package libceguiogre-dev cannot be found
esys-particle: #none [DEPS] libvtk5-dev : Depends: libnetcdf-dev but it is not going to be installed
feel++: #none [DEPS] Build-Depends dependency for feel++ cannot be satisfied because package libpetsc3.1-dev has no candidate version
freecad: #none [FTBFS] AppPartPy.cpp:495:69: error: no matching function for call to 'BRepBuilderAPI_MakeFace::BRepBuilderAPI_MakeFace(Handle_Geom_Plane&, double, double&, double, double&)' (verified failure on sid)
gnuradio: #none [DEPS] dpkg-buildpackage: warning: Build dependencies/conflicts unsatisfied; aborting.
gofigure2: #none [DEPS] libvtk5-qt4-dev : Depends: libvtk5-dev (= 5.8.0-7) but it is not going to be installed
gpsdrive: #646446 [FTBFS] mapnik.cpp:33:15: error: 'mapnik::Image32' has not been declared
kdebase-workspace: #none [SOVER] cp: cannot stat `debian/tmp/usr/lib/libplasma_applet-system-monitor.so.4.6.0': No such file or directory
kdeedu: #none [SOVER] cp: cannot stat `debian/tmp/usr/lib/libakregatorinterfaces.so.4.6.0': No such file or directory
kdepim: #none [SOVER] cp: cannot stat `debian/tmp/usr/lib/libakonadi-xml.so.4.6.0': No such file or directory
kdepim-runtime: #none [SOVER] cp: cannot stat `debian/tmp/usr/lib/libakonadi-xml.so.4.6.0': No such file or directory
libgdf: #none [FTBFS] make[1]: *** [override_dh_auto_install] Error 1
osmium: #none [FTBFS] ../include/osmium/osm/position.hpp:31:35: fatal error: geos/geom/Coordinate.h: No such file or directory
performous: #none [FTBFS] CMake Error: Required library Pango NOT FOUND.
player: #662593 [FTBFS] /usr/bin/ld: cannot find -lgeos
smc: #none [FTBFS] video.h:26:62: fatal error: RendererModules/OpenGLGUIRenderer/openglrenderer.h: No such file or directory
toonloop: #none [FTBFS] Test failure (segfault) in check_imageimporter
yade: #none [DEPS] libvtk5-dev : Depends: libnetcdf-dev but it is not going to be installed


Thanks,
-Steve
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#653823; Package release.debian.org. (Sun, 11 Mar 2012 19:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 11 Mar 2012 19:15:04 GMT) Full text and rfc822 format available.

Message #106 received at 653823@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: "Steve M. Robbins" <steve@sumost.ca>
Cc: 653823@bugs.debian.org, debian-release@lists.debian.org
Subject: Re: Bug#653823: transition: boost-defaults
Date: Sun, 11 Mar 2012 20:11:06 +0100
[Message part 1 (text/plain, inline)]
On Sun, Mar 11, 2012 at 13:21:19 -0500, Steve M. Robbins wrote:

> kdebase-workspace: #none [SOVER] cp: cannot stat `debian/tmp/usr/lib/libplasma_applet-system-monitor.so.4.6.0': No such file or directory
> kdeedu: #none [SOVER] cp: cannot stat `debian/tmp/usr/lib/libakregatorinterfaces.so.4.6.0': No such file or directory
> kdepim: #none [SOVER] cp: cannot stat `debian/tmp/usr/lib/libakonadi-xml.so.4.6.0': No such file or directory
> kdepim-runtime: #none [SOVER] cp: cannot stat `debian/tmp/usr/lib/libakonadi-xml.so.4.6.0': No such file or directory

It'd probably be best to have kde sorted before the boost defaults
change.  Otherwise it sounds like it should be fine.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#653823; Package release.debian.org. (Tue, 27 Mar 2012 01:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Steve M. Robbins" <steve@sumost.ca>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 27 Mar 2012 01:57:03 GMT) Full text and rfc822 format available.

Message #111 received at 653823@bugs.debian.org (full text, mbox):

From: "Steve M. Robbins" <steve@sumost.ca>
To: Julien Cristau <jcristau@debian.org>
Cc: 653823@bugs.debian.org, debian-release@lists.debian.org
Subject: Re: Bug#653823: transition: boost-defaults
Date: Mon, 26 Mar 2012 20:54:02 -0500
[Message part 1 (text/plain, inline)]
On Sun, Mar 11, 2012 at 08:11:06PM +0100, Julien Cristau wrote:
> On Sun, Mar 11, 2012 at 13:21:19 -0500, Steve M. Robbins wrote:
> 
> > kdebase-workspace: #none [SOVER] cp: cannot stat `debian/tmp/usr/lib/libplasma_applet-system-monitor.so.4.6.0': No such file or directory
> > kdeedu: #none [SOVER] cp: cannot stat `debian/tmp/usr/lib/libakregatorinterfaces.so.4.6.0': No such file or directory
> > kdepim: #none [SOVER] cp: cannot stat `debian/tmp/usr/lib/libakonadi-xml.so.4.6.0': No such file or directory
> > kdepim-runtime: #none [SOVER] cp: cannot stat `debian/tmp/usr/lib/libakonadi-xml.so.4.6.0': No such file or directory
> 
> It'd probably be best to have kde sorted before the boost defaults
> change.  Otherwise it sounds like it should be fine.

So I see KDE transition is over.  I should be able to upload
new boost defaults now?  Can you switch the tracker to track 1.49?

Thanks,
-Steve

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#653823; Package release.debian.org. (Tue, 27 Mar 2012 16:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 27 Mar 2012 16:51:06 GMT) Full text and rfc822 format available.

Message #116 received at 653823@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: "Steve M. Robbins" <steve@sumost.ca>
Cc: 653823@bugs.debian.org, debian-release@lists.debian.org
Subject: Re: Bug#653823: transition: boost-defaults
Date: Tue, 27 Mar 2012 18:49:28 +0200
[Message part 1 (text/plain, inline)]
On Mon, Mar 26, 2012 at 20:54:02 -0500, Steve M. Robbins wrote:

> On Sun, Mar 11, 2012 at 08:11:06PM +0100, Julien Cristau wrote:
> > On Sun, Mar 11, 2012 at 13:21:19 -0500, Steve M. Robbins wrote:
> > 
> > > kdebase-workspace: #none [SOVER] cp: cannot stat `debian/tmp/usr/lib/libplasma_applet-system-monitor.so.4.6.0': No such file or directory
> > > kdeedu: #none [SOVER] cp: cannot stat `debian/tmp/usr/lib/libakregatorinterfaces.so.4.6.0': No such file or directory
> > > kdepim: #none [SOVER] cp: cannot stat `debian/tmp/usr/lib/libakonadi-xml.so.4.6.0': No such file or directory
> > > kdepim-runtime: #none [SOVER] cp: cannot stat `debian/tmp/usr/lib/libakonadi-xml.so.4.6.0': No such file or directory
> > 
> > It'd probably be best to have kde sorted before the boost defaults
> > change.  Otherwise it sounds like it should be fine.
> 
> So I see KDE transition is over.  I should be able to upload
> new boost defaults now?  Can you switch the tracker to track 1.49?
> 
Ack, tracker moved to
http://release.debian.org/transitions/html/boost1.49.html

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Changed Bug title to 'transition: boost-defaults 1.49' from 'transition: boost-defaults' Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Wed, 28 Mar 2012 19:06:28 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#653823; Package release.debian.org. (Fri, 06 Apr 2012 16:27:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 06 Apr 2012 16:27:07 GMT) Full text and rfc822 format available.

Message #123 received at 653823@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Julien Cristau <jcristau@debian.org>
Cc: "Steve M. Robbins" <steve@sumost.ca>, 653823@bugs.debian.org, debian-release@lists.debian.org
Subject: Re: Bug#653823: transition: boost-defaults
Date: Fri, 06 Apr 2012 17:21:30 +0100
On Tue, 2012-03-27 at 18:49 +0200, Julien Cristau wrote:
> On Mon, Mar 26, 2012 at 20:54:02 -0500, Steve M. Robbins wrote:
> 
> > On Sun, Mar 11, 2012 at 08:11:06PM +0100, Julien Cristau wrote:
> > > It'd probably be best to have kde sorted before the boost defaults
> > > change.  Otherwise it sounds like it should be fine.
> > 
> > So I see KDE transition is over.  I should be able to upload
> > new boost defaults now?  Can you switch the tracker to track 1.49?
> > 
> Ack, tracker moved to
> http://release.debian.org/transitions/html/boost1.49.html

I've scheduled binNMUs for the packages listed in level 1 on the
tracker.

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#653823; Package release.debian.org. (Wed, 11 Apr 2012 20:15:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 11 Apr 2012 20:15:07 GMT) Full text and rfc822 format available.

Message #128 received at 653823@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: "Steve M. Robbins" <steve@sumost.ca>
Cc: 653823@bugs.debian.org
Subject: Re: Bug#653823: transition: boost-defaults
Date: Wed, 11 Apr 2012 21:13:33 +0100
On Fri, 2012-04-06 at 17:21 +0100, Adam D. Barratt wrote:
> On Tue, 2012-03-27 at 18:49 +0200, Julien Cristau wrote:
> > http://release.debian.org/transitions/html/boost1.49.html
> 
> I've scheduled binNMUs for the packages listed in level 1 on the
> tracker.

Level 2 have now been (mostly) scheduled.

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#653823; Package release.debian.org. (Mon, 23 Apr 2012 19:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 23 Apr 2012 19:15:03 GMT) Full text and rfc822 format available.

Message #133 received at 653823@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: 653823@bugs.debian.org
Cc: "Steve M. Robbins" <steve@sumost.ca>
Subject: Re: Bug#653823: transition: boost-defaults
Date: Mon, 23 Apr 2012 20:11:22 +0100
On Wed, 2012-04-11 at 21:13 +0100, Adam D. Barratt wrote:
> On Fri, 2012-04-06 at 17:21 +0100, Adam D. Barratt wrote:
> > On Tue, 2012-03-27 at 18:49 +0200, Julien Cristau wrote:
> > > http://release.debian.org/transitions/html/boost1.49.html
> > 
> > I've scheduled binNMUs for the packages listed in level 1 on the
> > tracker.
> 
> Level 2 have now been (mostly) scheduled.

and level 3, with the exception of those which already have FTBFS bugs
filed.

Regards,

Adam





Added blocking bug(s) of 653823: 672524 Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sun, 13 May 2012 12:33:03 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 653823: 670053, 672750, 672748, 672745, 670054, 672749, and 672746 Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sun, 13 May 2012 12:48:06 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 653823: 672743 Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Sat, 19 May 2012 21:14:49 GMT) Full text and rfc822 format available.

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Mon, 11 Jun 2012 16:51:30 GMT) Full text and rfc822 format available.

Notification sent to "Steve M. Robbins" <smr@debian.org>:
Bug acknowledged by developer. (Mon, 11 Jun 2012 16:51:30 GMT) Full text and rfc822 format available.

Message #144 received at 653823-done@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: "Steve M. Robbins" <smr@debian.org>, 653823-done@bugs.debian.org
Subject: Re: Bug#653823: transition: boost-defaults
Date: Mon, 11 Jun 2012 18:37:53 +0200
On Sat, Dec 31, 2011 at 01:29:58 -0600, Steve M. Robbins wrote:

> Package: release.debian.org
> Severity: normal
> User: release.debian.org@packages.debian.org
> Usertags: transition
> 
> Briefly, package boost-defaults provides "libboost-dev" and similar
> unversioned -dev packages that depend on a "default" versioned package
> such as libboost1.46-dev.
> 
boost1.46 and boost1.48 are now gone from both sid and testing.

Cheers,
Julien




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 10 Jul 2012 07:37:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 17:16:54 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.